--- ./qtwebengine/src/3rdparty/chromium/third_party/blink/renderer/platform/wtf/text/string_hasher.h.orig	2025-06-03 13:06:40.000000000 -0500
+++ ./qtwebengine/src/3rdparty/chromium/third_party/blink/renderer/platform/wtf/text/string_hasher.h	2025-06-03 17:37:30.602332336 -0500
@@ -64,19 +64,10 @@
     DCHECK_LE(p[5], 0xff);
     DCHECK_LE(p[6], 0xff);
     DCHECK_LE(p[7], 0xff);
-#ifdef __SSE2__
-    __m128i x = _mm_loadu_si128(reinterpret_cast<const __m128i*>(p));
-    return _mm_cvtsi128_si64(_mm_packus_epi16(x, x));
-#elif defined(__ARM_NEON__)
-    uint16x8_t x;
-    memcpy(&x, p, sizeof(x));
-    return vget_lane_u64(vreinterpret_u64_u8(vmovn_u16(x)), 0);
-#else
     return (uint64_t{p[0]}) | (uint64_t{p[1]} << 8) | (uint64_t{p[2]} << 16) |
            (uint64_t{p[3]} << 24) | (uint64_t{p[4]} << 32) |
            (uint64_t{p[5]} << 40) | (uint64_t{p[6]} << 48) |
            (uint64_t{p[7]} << 56);
-#endif
   }
   ALWAYS_INLINE static uint64_t Read32(const uint8_t* ptr) {
     const uint16_t* p = reinterpret_cast<const uint16_t*>(ptr);
@@ -84,18 +75,8 @@
     DCHECK_LE(p[1], 0xff);
     DCHECK_LE(p[2], 0xff);
     DCHECK_LE(p[3], 0xff);
-#ifdef __SSE2__
-    __m128i x = _mm_loadu_si64(reinterpret_cast<const __m128i*>(p));
-    return _mm_cvtsi128_si64(_mm_packus_epi16(x, x));
-#elif defined(__ARM_NEON__)
-    uint16x4_t x;
-    memcpy(&x, p, sizeof(x));
-    uint16x8_t x_wide = vcombine_u16(x, x);
-    return vget_lane_u32(vreinterpret_u32_u8(vmovn_u16(x_wide)), 0);
-#else
     return (uint64_t{p[0]}) | (uint64_t{p[1]} << 8) | (uint64_t{p[2]} << 16) |
            (uint64_t{p[3]} << 24);
-#endif
   }
   ALWAYS_INLINE static uint64_t ReadSmall(const uint8_t* ptr, size_t k) {
     const uint16_t* p = reinterpret_cast<const uint16_t*>(ptr);
